Subject: [babel] YANG errors in datatracker

From: Mahesh Jethanandani <[email-masked]>
Date: Tue, 19 Nov 2019 14:00:00 +0800

Hi Donald,

To the question of the two errors being reported in data tracker for the Babel YANG model, I just wanted to confirm that those errors are tooling errors. 

[email-masked]:96: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)
[email-masked]:103: error: keyword "if-feature" not in canonical order (see RFC 6020, Section 12)

The ABNF grammar for YANG in RFC 7950 (updated version of RFC 6020) says the following for the identity statement where these errors are reported.

identity-stmt       = identity-keyword sep identifier-arg-str optsep
                         (";" /
                          "{" stmtsep
                              ;; these stmts can appear in any order
                              *if-feature-stmt
                              *base-stmt
                              [status-stmt]
                              [description-stmt]
                              [reference-stmt]
                          "}") stmtsep

It is clear that the if-feature statement can appear before/after base-stmt per the above grammar, and as such these errors are tooling errors. I believe that it has been fixed in pyang, but that version of pyang has not been published.

Thanks

Mahesh Jethanandani
[email-masked]

---

From: Donald Eastlake <[email-masked]>
Date: Tue, 19 Nov 2019 03:14:37 -0500

Hi Mahesh,

Thanks for the clarification.

Donald
===============================
 Donald E. Eastlake 3rd   +1-508-333-2270 (cell)
 2386 Panoramic Circle, Apopka, FL 32703 USA
 [email-masked]

On Tue, Nov 19, 2019 at 1:00 AM Mahesh Jethanandani
<[email-masked]> wrote:
> _______________________________________________
> babel mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/babel